# 类: GroupAPI

[(返回目录)](/api.md)

**继承自:** [RoleAPI](/api/roleapi.md)

**子类:** [Group](/api/group.md), [GroupAnnounce](/api/groupannounce.md), [GroupAnnounceInfo](/api/groupannounceinfo.md), [GroupAnnounceInfoList](/api/groupannounceinfolist.md), [GroupConfig](/api/groupconfig.md), [GroupList](/api/grouplist.md), [GroupMember](/api/groupmember.md), [GroupMemberList](/api/groupmemberlist.md)

RainyBot的群组API类，所有的群组相关API将直接或间接继承此类

## 描述

这是RainyBot的群组API类，所有的群组相关API将直接或间接继承此类\
继承此类的API包括但不限于群组/群组配置/群列表/群成员/群成员列表等类


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/groupapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
